/* tslint:disable */

import { TaxDeductionWorkCategories } from "../model";

/**
 * Generated products data from the server.
 * @hidden
 * TODO: Add language versioning to an Excel file and implement code generation.
 */
export const householdUsecaseTree = [
  {
    id: "childCare",
    label: "Lastenhoito",
    descr: "Tilapäinen tai jatkuva",
    icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/childcare.svg",
    children: [
      {
        id: "childCare/mll",
        uri: "https://secure.salaxy.com/v02/api/usecases/mll",
        label: "Tilapäinen lastenhoito",
        descr: "Palkka MLL:n suosituksen mukaan.",
        isHouseholdDeductible: true,
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/childcare.svg",
        badge: "https://cdn.salaxy.com/ng1/household-usecases/badge/mll.png",
        occupation: "53112",
      },
      {
        id: "childCare/kela",
        uri: "https://secure.salaxy.com/v02/api/usecases/childCare",
        label: "Yksityisen hoidon tuki",
        descr: "Lastenhoitaja kotona.",
        isChildcareSubsidy: true,
        isHouseholdDeductible: false,
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/childcare.svg",
        badge: "https://cdn.salaxy.com/ng1/household-usecases/badge/kela.png",
        occupation: "53112",
      },
      {
        id: "childCare/other",
        uri: "https://secure.salaxy.com/v02/api/usecases/childCare",
        label: "Muu lastenhoito",
        descr: "Muu jatkuva tai tilapäinen lastenhoito",
        isHouseholdDeductible: true,
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/childcare.svg",
        occupation: "53112",
      },
    ],
  },
  {
    id: "construction",
    label: "Rakennus- ja remonttityö",
    descr: "Rakennusalan työehtosopimus.",
    uri: "https://secure.salaxy.com/v02/api/usecases/construction",
    icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/construction.svg",
    children: [
      {
        id: "construction/carpenter",
        label: "Kirvesmies",
        descr: "Kirvesmiehet ja rakennuspuusepät",
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/construction-carpenter.svg",
        subType: "constructionCarpenter",
        occupation: "71150",
      },
      {
        id: "construction/painter",
        label: "Maalaaminen",
        descr: "Rakennusmaalarit ym.",
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/construction-painter.svg",
        subType: "constructionCarpenter",
        occupation: "71310",
      },
      {
        id: "construction/roof",
        label: "Kattotyöt",
        descr: "Kattoasentajat ja -korjaajat",
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/construction-roof.svg",
        subType: "constructionCarpenter",
        occupation: "71210",
      },
      {
        id: "construction/floor",
        label: "Lattiatyöt",
        descr: "Lattianpäällystys",
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/construction-floor.svg",
        subType: "constructionFloor",
        occupation: "71110",
      },
      {
        id: "construction/renovation",
        label: "Muu remontointi",
        descr: "Asunnon tai vapaa-ajan asunnon remontointi",
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/construction-renovation.svg",
        subType: "constructionOther",
        isHouseholdDeductible: true,
        occupation: "71110",
      },
      {
        id: "construction/new",
        label: "Muu uudisrakentaminen",
        descr: "Uudisrakennukset",
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/construction-new.svg",
        subType: "constructionOther",
        isHouseholdDeductible: false,
        occupation: "71110",
      },
    ],
  },
  {
    id: "cleaning",
    label: "Kotisiivous",
    descr: "Kodin siivous ja kunnossapito",
    uri: "https://secure.salaxy.com/v02/api/usecases/cleaning",
    icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/cleaning.svg",
    children: [
      {
        id: "cleaning/91110",
        label: "Kotisiivous tai kotiapulainen",
        descr: "Siivoustyö tai kotiapulainen",
        isHouseholdDeductible: true,
        occupation: "91110",
        isContractLessThanYear: true
      },
      {
        id: "cleaning/51530",
        label: "Kiinteistöhuolto",
        descr: "Kiinteistöhuollon työntekijät",
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/cleaning-real-estate.svg",
        isHouseholdDeductible: true,
        occupation: "51530",
        isContractLessThanYear: true
      },
      {
        id: "cleaning/61132",
        label: "Puutarhanhoito",
        descr: "Puutarha- ja kasvihuonetyöntekijät",
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/cleaning-garden.svg",
        isHouseholdDeductible: true,
        occupation: "61132",
        isContractLessThanYear: true
      },
      {
        id: "cleaning/53221",
        label: "Kotityöpalvelu",
        descr: "Kotityöpalvelutyöntekijän työ",
        isHouseholdDeductible: true,
        occupation: "53221",
        isContractLessThanYear: true
      },
      {
        id: "cleaning/other",
        label: "Muut",
        descr: "Kodin muut työt",
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/cleaning-other.svg",
        isHouseholdDeductible: true,
        occupation: "other",
        isContractLessThanYear: true
      },
    ],
  },
  {
    id: "other",
    label: "Muu työ",
    descr: "Yleinen palkkalaskuri",
    uri: "https://secure.salaxy.com/v02/api/usecases/other",
    icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/other.svg",
    children: [
      {
        id: "other/53222",
        label: "Henkilökohtaiset avustajat, omaishoitajat ym.",
        isHouseholdDeductible: true,
        taxDeductionCategories: TaxDeductionWorkCategories.Carework,
        occupation: "53222",
      },
      {
        id: "other/61112",
        label: "Peltoviljelytyönjohtajat ja -työntekijät",
        occupation: "61112",
      },
      {
        id: "other/71110",
        label: "Talonrakentajat (sis. remonttimiehet)",
        isHouseholdDeductible: true,
        taxDeductionCategories: TaxDeductionWorkCategories.HomeImprovement,
        occupation: "71110",
      },
      {
        id: "other/91110",
        label: "Kotiapulaiset ja -siivoojat",
        isHouseholdDeductible: true,
        taxDeductionCategories: TaxDeductionWorkCategories.Householdwork,
        occupation: "91110",
      },
      {
        id: "other/53213",
        label: "Sosiaalialan hoitajat",
        isHouseholdDeductible: true,
        taxDeductionCategories: TaxDeductionWorkCategories.Carework,
        occupation: "53213",
      },
      {
        id: "other/53212",
        label: "Kehitysvammaisten hoitajat",
        isHouseholdDeductible: true,
        taxDeductionCategories: TaxDeductionWorkCategories.Carework,
        occupation: "53212",
      },
      {
        id: "other/71150",
        label: "Kirvesmiehet ja rakennuspuusepät",
        isHouseholdDeductible: true,
        taxDeductionCategories: TaxDeductionWorkCategories.HomeImprovement,
        occupation: "71150",
      },
      {
        id: "other/53112",
        label: "Perhepäivähoitajat (sis. kotitalousten lastenhoitajat)",
        isHouseholdDeductible: true,
        taxDeductionCategories: TaxDeductionWorkCategories.Carework,
        occupation: "53112",
      },
      {
        id: "other/53221",
        label: "Kotityöpalvelutyöntekijät",
        isHouseholdDeductible: true,
        taxDeductionCategories: TaxDeductionWorkCategories.Carework,
        occupation: "53221",
      },
      {
        id: "other/62100",
        label: "Metsurit ja metsätyöntekijät",
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/other.svg",
        occupation: "62100",
      },
      {
        id: "other/51530",
        label: "Kiinteistöhuollon työntekijät",
        isHouseholdDeductible: true,
        taxDeductionCategories: TaxDeductionWorkCategories.Householdwork,
        occupation: "51530",
      },
      {
        id: "other/61132",
        label: "Puutarha- ja kasvihuonetyönjohtajat ja - työntekijät",
        isHouseholdDeductible: true,
        taxDeductionCategories: TaxDeductionWorkCategories.Householdwork,
        occupation: "61132",
      },
      {
        id: "other/71310",
        label: "Rakennusmaalarit ym.",
        isHouseholdDeductible: true,
        taxDeductionCategories: TaxDeductionWorkCategories.HomeImprovement,
        icon: "https://cdn.salaxy.com/ng1/household-usecases/icon/other.svg",
        occupation: "71310",
      },
      {
        id: "other/71210",
        label: "Kattoasentajat ja -korjaajat",
        isHouseholdDeductible: true,
        taxDeductionCategories: TaxDeductionWorkCategories.HomeImprovement,
        occupation: "71210",
      },
      {
        id: "other/undefined",
        label: "Muu työ",
        occupation: "other",
      },
    ],
  },
];
